Bug 180032 - currently after a recent update ldap fails to start
currently after a recent update ldap fails to start
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openldap (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-04 16:55 EST by David Bentley
Modified: 2014-08-31 19:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-15 12:12:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Bentley 2006-02-04 16:55:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.1) Gecko/20060202 Fedora/1.5.0.1-2 Firefox/1.5.0.1

Description of problem:
Typing service ldap start in a terminal window to investigate why it is failing 
gives the following output :-

[root@bentledr ~]# service ldap start
Checking configuration files for slapd:  /sbin/runuser: invalid option -- u
Try `/sbin/runuser --help' for more information.
                                                           [FAILED]
You also get a similar message when trying to start ir with the services aplet
(system-config-services)

Version-Release number of selected component (if applicable):
openldap-2.3.19-2

How reproducible:
Always

Steps to Reproduce:
See description

Actual Results:  See description

Expected Results:  The service to start

Additional info:

The current version (above) was updted in rawhide on 31-Jan-2006 16:59
and initscripts a possible culprit ? was updated on 02-Feb-2006 17:06

I don't know when it stoped working as I don't normally use it but a freind of
mine does and he thinks it stoped working more recently than 31-Jan-2006.

Next task is to have a look at its initscript I suppose.
Comment 1 David Bentley 2006-02-10 16:29:54 EST
After the update of 10/2/06 to openldap-2.3.19-3 despite what the build system 
reported below :-

openldap-2.3.19-3
-----------------
* Thu Feb 09 2006 Jay Fenlason <fenlason redhat com> 2.3.19-3
- Modify the ldap.init script to call runuser correctly.

* Tue Feb 07 2006 Jesse Keating <jkeating redhat com> - 2.3.19-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

ldap still fails to start but now with an additional message see below :-

[root@bentledr ~]# service ldap start
Checking configuration files for slapd:  /sbin/runuser: invalid option -- u
Try `/sbin/runuser --help' for more information.
                                                           [FAILED]
stale lock files may be present in /var/lib/ldap           [WARNING]

and on comparing /etc/init.d/ldap before and after the update the text appears
to be identical except the new file now has TAB characters used to provide
indents whereas the previos version was padded with spaces.
Comment 2 David Bentley 2006-02-12 05:26:33 EST
I have just checked the ldap.init in CVS this is still version 1.17 dated 31/1/06
despite the changelog in the openldap.spec (ver 1.52) file saying it was changed.

* Thu Feb 9 2006 Jay Fenlason <fenlason@redhat.com> 2.3.19-3
- Modify the ldap.init script to call runuser correctly.

presumably the new ldap.init should have been uploaded to CVS on this date or it
was replaced again as the old version by the update given in the changelog for
openldap.spec (ver 1.53).

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.3.19-3.1
- bump again for double-long bug on ppc(64)

So can we have the modified version of the ldap.init file uploaded to CVS or 
made available elsewhere or a new version of the package built actually with
the fix in it this time as part of the daily rawhide updates.
Comment 3 David Bentley 2006-02-15 12:12:25 EST
Closing as resolved in rawhide

Note You need to log in before you can comment on or make changes to this bug.